Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2
Interface Sandesha2Constants.MessageTypes

Enclosing interface:
  Sandesha2Constants

public static interface Sandesha2Constants.MessageTypes

Field Summary
`static int` | `ACK`
`static int` | `ACK_REQUEST`
`static int` | `APPLICATION`
`static int` | `CLOSE_SEQUENCE`
`static int` | `CLOSE_SEQUENCE_RESPONSE`
`static int` | `CREATE_SEQ`
`static int` | `CREATE_SEQ_RESPONSE`
`static int` | `DUPLICATE_MESSAGE_IN_ONLY`
`static int` | `DUPLICATE_MESSAGE_IN_OUT`
`static int` | `FAULT_MSG`
`static int` | `LAST_MESSAGE`
`static int` | `MAKE_CONNECTION_MSG`
`static int` | `MAX_MESSAGE_TYPE`
`static int` | `POLL_RESPONSE_MESSAGE`
`static int` | `TERMINATE_SEQ`
`static int` | `TERMINATE_SEQ_RESPONSE`
`static int` | `UNKNOWN`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### CREATE_SEQ

    public static final int CREATE_SEQ

See Also:
  Constant Field Values

### CREATE_SEQ_RESPONSE

    public static final int CREATE_SEQ_RESPONSE

See Also:
  Constant Field Values

### APPLICATION

    public static final int APPLICATION

See Also:
  Constant Field Values

### ACK

    public static final int ACK

See Also:
  Constant Field Values

### CLOSE_SEQUENCE

    public static final int CLOSE_SEQUENCE

See Also:
  Constant Field Values

### CLOSE_SEQUENCE_RESPONSE

    public static final int CLOSE_SEQUENCE_RESPONSE

See Also:
  Constant Field Values

### TERMINATE_SEQ

    public static final int TERMINATE_SEQ

See Also:
  Constant Field Values

### ACK_REQUEST

    public static final int ACK_REQUEST

See Also:
  Constant Field Values

### TERMINATE_SEQ_RESPONSE

    public static final int TERMINATE_SEQ_RESPONSE

See Also:
  Constant Field Values

### FAULT_MSG

    public static final int FAULT_MSG

See Also:
  Constant Field Values

### MAKE_CONNECTION_MSG

    public static final int MAKE_CONNECTION_MSG

See Also:
  Constant Field Values

### LAST_MESSAGE

    public static final int LAST_MESSAGE

See Also:
  Constant Field Values

### DUPLICATE_MESSAGE_IN_ONLY

    public static final int DUPLICATE_MESSAGE_IN_ONLY

See Also:
  Constant Field Values

### DUPLICATE_MESSAGE_IN_OUT

    public static final int DUPLICATE_MESSAGE_IN_OUT

See Also:
  Constant Field Values

### POLL_RESPONSE_MESSAGE

    public static final int POLL_RESPONSE_MESSAGE

See Also:
  Constant Field Values

### MAX_MESSAGE_TYPE

    public static final int MAX_MESSAGE_TYPE

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.